Summary: A viewer for many different image formats.
Name: zgv
Version: 5.0
Release: 1mdk
Copyright: GPL
Exclusivearch: i386 i586 i686
Group: Graphics
Url: http://www.freshmeat.net/appindex/1998/06/27/898994029.html
Source: ftp://metalab.unc.edu/pub/Linux/apps/graphics/viewers/svga//zgv-%{version}.tar.bz2
Patch: zgv-5.0-config.patch.bz2
Prefix: /usr
BuildRoot: /var/tmp/zgv-root

%description
Zgv is an image viewer which can display graphics in GIF, JPEG/JFIF,
PNG, PBM/PGM/PPM, BMP, TGA, PCX and MRF formats on VGA and SVGA displays.
Zgv can also display thumbnails of the images.  Zgv is based on svgalib,
which you will need to have on your system in order to use zgv.

Install zgv if you need an image viewer.

%prep
%setup
%patch -p0

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,info}/
make PREFIX=$RPM_BUILD_ROOT/usr install

rm -f $RPM_BUILD_ROOT/usr/info/dir
bzip2 -9f $RPM_BUILD_ROOT/usr/info/*

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(4511,root,root) /usr/bin/zgv
/usr/man/man1/zgv.1.bz2

%changelog
* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 5.0-1mdk
- Update to 5.0

* Sun Nov  7 1999 John Buswell <johnb@mandrakesoft.com>
- Added URL
- Updated source url
- Build Release

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Upgrade spec.
- Upgrade patchs.
- 3.3. version :

	* Removed dashes from NEWS; hopefully excerpts posted from it on
	c.o.l.a will look slightly less nasty now. :-)
	* Renamed README.src to INSTALL, and fixed references to it.
	* src/rcfile.c (usage): rephrased `-R' description to emphasise
	shuffling over randomisation, and tabified the usage help.
	* src/zgv.c: you can now use R to rename a file, by analogy with
	C, M, and D for copy/move/delete. The old alt-r still works,
	though. The slideshow shuffle (randomise) toggle is now only
	available on S.
	* src/modesel.c: fixed a couple of comments which were out-of-date
	and a bit misleading.
	* Added 32-bit support, since apparently some cards provide 32-bit
	modes but not 24-bit ones. The mode-match stuff (and keys to
	select 24-bit modes) will choose 24-bit over 32-bit, but will use
	32-bit if that's all that's available. (The idea behind this is
	that 32-bit modes are slower than 24-bit ones; there's no way I
	can actually test this though.) Some of the 32-bit support (the
	converting from 24-bit and copying to the screen) is from Matan
	Ziv-Av's newzgv 4.2 - that looks reasonable and presumably works.
	(An important point as I can't test it. :-))
	* Mode-matching is now a bit more sane, and shouldn't use any
	modes not available from the keyboard any more. Also took this
	opportunity to unify all the mode-selecting stuff a bit, it now
	all uses a modedesc[] array (defined in modesel.c), so adding a
	new mode to zgv should now merely be a case of adding an entry to
	this array. (Though documenting the addition must still be done
	separately. :-))
	* src/zgv.c: thumbnail update's "Resampling..." text could
	previously have appeared in just about any colour. :-)
	* src/resizepic.c: fixed bug where thin images would cause FP
	exceptions. (This applied to pictures with aspect ratios wider
	than 80:1 or taller than 1:60.) Thanks to Jan Willamowius for
	finding this one.
	* src/zgv.c: changed `-T' behaviour to output files separated by
	LFs, not spaces. (Also changed rather dim use of
	printf(gifdir[f].name), which wouldn't have been fun for filenames
	with `%' in. :-)) Thanks to Bill Stone for bringing the problem
	this causes for filenames with embedded spaces in to my attention.
	* src/vgadisp.c: vkludge in 8-bit modes is now slightly less
	accurate (it works with 15-bit RGB values rather than 18-bit
	ones), but considerably faster.
	* src/vgadisp.c: you can now reverse the order in which brightness
	and contrast are applied, using `B' or the cfg file option
	`bc_order_rev'.
	* src/readpcx.c: multi-plane (4-bit or 24-bit) PCXs which had runs
	going across planes weren't decoded correctly; fixed that.
	* Makefile: got a clue and used `$(MAKE)' instead of literal
	`make' for recursive invocations. :-) What can I say, I was
	writing it quickly, everyone makes mistakes, the dog ate it.
	* Makefile (src-tgz): corrected `--exclude' arg thinko - should
	have been `*/sav', not `*/sav*'. Didn't break anything,
	fortunately.
	* doc/zgv.texi: mentioned Electric Eyes as an xv-like program
	in rationale section.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- security fixes from Chris Evans

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 20 1998 Erik Troan <ewt@redhat.com>
- updated to version 3.0

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated spec file and upgraded to version 2.8

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
